%{?mingw_package_header}

%global pkgname enchant2

Name:          mingw-%{pkgname}
Version:       2.2.15
Release:       %mkrel 1
Summary:       MinGW Windows %{pkgname} library
Group:         Development/Other
License:       LGPLv2+
BuildArch:     noarch
URL:           https://github.com/AbiWord/enchant
Source0:       https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.gz

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-glib2
BuildRequires: mingw32-hunspell

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils
BuildRequires: mingw64-glib2
BuildRequires: mingw64-hunspell


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n enchant-%{version}


%build
MINGW32_CONFIGURE_ARGS="--with-hunspell-dir=%{mingw32_datadir}/myspell" \
MINGW64_CONFIGURE_ARGS="--with-hunspell-dir=%{mingw64_datadir}/myspell" \
%mingw_configure --disable-static --enable-relocatable

MINGW32_MAKE_ARGS="pkgdatadir=%{mingw32_datadir}/enchant-2" \
MINGW64_MAKE_ARGS="pkgdatadir=%{mingw64_datadir}/enchant-2" \
%mingw_make %{?_smp_mflags}


%install
MINGW32_MAKE_ARGS="pkgdatadir=%{mingw32_datadir}/enchant-2" \
MINGW64_MAKE_ARGS="pkgdatadir=%{mingw64_datadir}/enchant-2" \
%mingw_make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete

# Drop the man-pages
rm -rf %{buildroot}%{mingw32_datadir}/man
rm -rf %{buildroot}%{mingw64_datadir}/man


%files -n mingw32-%{pkgname}
%license COPYING.LIB
%{mingw32_bindir}/enchant-lsmod-2.exe
%{mingw32_bindir}/enchant-2.exe
%{mingw32_bindir}/libenchant-2.dll
%{mingw32_includedir}/enchant-2/
%dir %{mingw32_libdir}/enchant-2/
%{mingw32_libdir}/enchant-2/enchant_hunspell.dll
%{mingw32_libdir}/enchant-2/enchant_hunspell.dll.a
%{mingw32_libdir}/libenchant-2.dll.a
%{mingw32_libdir}/pkgconfig/enchant-2.pc
%{mingw32_datadir}/enchant-2/

%files -n mingw64-%{pkgname}
%license COPYING.LIB
%{mingw64_bindir}/enchant-lsmod-2.exe
%{mingw64_bindir}/enchant-2.exe
%{mingw64_bindir}/libenchant-2.dll
%{mingw64_includedir}/enchant-2/
%dir %{mingw64_libdir}/enchant-2/
%{mingw64_libdir}/enchant-2/enchant_hunspell.dll
%{mingw64_libdir}/enchant-2/enchant_hunspell.dll.a
%{mingw64_libdir}/libenchant-2.dll.a
%{mingw64_libdir}/pkgconfig/enchant-2.pc
%{mingw64_datadir}/enchant-2/




%changelog
* Thu Dec 24 2020 daviddavid <daviddavid> 2.2.15-1.mga8
+ Revision: 1663325
- new version: 2.2.15

* Mon Dec 14 2020 daviddavid <daviddavid> 2.2.14-1.mga8
+ Revision: 1657387
- new version: 2.2.14

* Sun Nov 08 2020 daviddavid <daviddavid> 2.2.13-1.mga8
+ Revision: 1643564
- new version: 2.2.13

* Mon Oct 19 2020 daviddavid <daviddavid> 2.2.12-1.mga8
+ Revision: 1636914
- new version: 2.2.12

* Sat Sep 26 2020 tv <tv> 2.2.11-2.mga8
+ Revision: 1630232
- rebuild for new mingw stack

* Fri Sep 11 2020 daviddavid <daviddavid> 2.2.11-1.mga8
+ Revision: 1624653
- new version: 2.2.11

* Wed Sep 02 2020 daviddavid <daviddavid> 2.2.10-1.mga8
+ Revision: 1621135
- new version: 2.2.10

* Sun Aug 30 2020 daviddavid <daviddavid> 2.2.9-1.mga8
+ Revision: 1619727
- new version: 2.2.9

* Mon Mar 02 2020 daviddavid <daviddavid> 2.2.8-1.mga8
+ Revision: 1552953
- new version: 2.2.8

* Sun Feb 16 2020 umeabot <umeabot> 2.2.7-2.mga8
+ Revision: 1531816
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 2.2.7-1.mga8
+ Revision: 1441085
- new version: 2.2.7

* Tue Jul 02 2019 daviddavid <daviddavid> 2.2.5-1.mga8
+ Revision: 1417461
- new version: 2.2.5

* Sun Jun 30 2019 daviddavid <daviddavid> 2.2.4-1.mga8
+ Revision: 1416325
- new version: 2.2.4

* Thu Dec 27 2018 daviddavid <daviddavid> 2.2.3-2.mga7
+ Revision: 1345240
- rebuild for new mingw-hunspell 1.7.0

* Thu Sep 20 2018 daviddavid <daviddavid> 2.2.3-1.mga7
+ Revision: 1280289
- imported package mingw-enchant2


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Sandro Mani <manisandro@gmail.com> - 2.2.3-1
- Update to 2.2.3

* Wed Jan 03 2018 Sandro Mani <manisandro@gmail.com> - 2.2.1-1
- Update to 2.2.1

* Thu Dec 14 2017 Sandro Mani <manisandro@gmail.com> - 2.2.0-2
- Add patch to fix FSF addresses

* Wed Dec 13 2017 Sandro Mani <manisandro@gmail.com> - 2.2.0-1
- Initial package
